package cz.frantovo.rozsireneAtributy;

import java.nio.ByteBuffer;
import java.nio.charset.Charset;

public class Atribut {

	private String klic;
	private String hodnota;

	public Atribut(String klic, String hodnota) {
		this.klic = klic;
		this.hodnota = hodnota;
	}

	public Atribut(String klic, ByteBuffer hodnota) {
		this.klic = klic;
		setHodnota(hodnota);
	}

	public String getKlic() {
		return klic;
	}

	public void setKlic(String klic) {
		this.klic = klic;
	}

	public String getHodnota() {
		return hodnota;
	}

	public final ByteBuffer getHodnotaBajty() {
		return zakóduj(getHodnota());
	}

	public void setHodnota(String hodnota) {
		this.hodnota = hodnota;
	}

	public final void setHodnota(ByteBuffer hodnota) {
		setHodnota(dekóduj(hodnota));
	}

	private static String dekóduj(ByteBuffer bajty) {
		bajty.flip();
		return Charset.defaultCharset().decode(bajty).toString();
	}

	private static ByteBuffer zakóduj(String text) {
		return Charset.defaultCharset().encode(text);
	}
}
